unit Utils;

interface

uses
  SysUtils, Windows;

function sStrToInt(s: string): Integer;
function GetLocalTZBias: LongInt;

implementation

function sStrToInt(s: string): Integer;
var
  i: Integer;
  Res: string;
begin
  try
    for i := 1 to Length(s) do
    begin
      // Numbers can always be added
      if s[i] in ['0' .. '9'] then
      begin
        Res := Res + s[i];
      end;
    end;
    if Res = '' then
    begin
      Result := 0;
    end
    else
    begin
      Result := StrToInt(Res);
    end;
  except
    Result := 0;
  end;
end;

function GetLocalTZBias: LongInt;
var
  TZ : TTimeZoneInformation;
begin
  case GetTimeZoneInformation(TZ) of
    TIME_ZONE_ID_STANDARD: Result := TZ.Bias + TZ.StandardBias;
    TIME_ZONE_ID_DAYLIGHT: Result := TZ.Bias + TZ.DaylightBias;
  else
    Result := TZ.Bias;
  end;
end;

end.
